RegionSubRegionSnapshot (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.admin, class: RegionSubRegionSnapshot

Package org.apache.geode.admin

# Class RegionSubRegionSnapshot

java.lang.Object
org.apache.geode.admin.RegionSubRegionSnapshot

All Implemented Interfaces:
  `Serializable`, `DataSerializable`

@Deprecated public class RegionSubRegionSnapshot extends Object implements DataSerializable
Deprecated.
as of 7.0 use the `management` package instead
Class `RegionSubRegionSnapshot` provides information about `Region`s. This also provides the information about sub regions This class is used by the monitoring tool.

Since:
  GemFire 5.7
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.geode.DataSerializable

  `DataSerializable.Replaceable`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `entryCount`
  Deprecated.
  `protected String`
  `name`
  Deprecated.
  `protected RegionSubRegionSnapshot`
  `parent`
  Deprecated.
  `protected Set`
  `subRegionSnapshots`
  Deprecated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegionSubRegionSnapshot()`
  Deprecated.
  `RegionSubRegionSnapshot(Region reg)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `addSubRegion(RegionSubRegionSnapshot snap)`
  Deprecated.
  add the snapshot of sub region
  `void`
  `fromData(DataInput in)`
  Deprecated.
  Reads the state of this object as primitive data from the given `DataInput`.
  `int`
  `getEntryCount()`
  Deprecated.
  `String`
  `getFullPath()`
  Deprecated.
  `String`
  `getName()`
  Deprecated.
  `RegionSubRegionSnapshot`
  `getParent()`
  Deprecated.
  `Set`
  `getSubRegionSnapshots()`
  Deprecated.
  `void`
  `setEntryCount(int entryCount)`
  Deprecated.
  `void`
  `setName(String name)`
  Deprecated.
  `void`
  `setParent(RegionSubRegionSnapshot parent)`
  Deprecated.
  `void`
  `setSubRegionSnapshots(Set subRegionSnapshots)`
  Deprecated.
  `void`
  `toData(DataOutput out)`
  Deprecated.
  Writes the state of this object as primitive data to the given `DataOutput`.
  `String`
  `toString()`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### name

    protected String name
    Deprecated.

  - ### entryCount

    protected int entryCount
    Deprecated.

  - ### parent

    protected RegionSubRegionSnapshot parent
    Deprecated.

  - ### subRegionSnapshots

    protected Set subRegionSnapshots
    Deprecated.

- ## Constructor Details

  - ### RegionSubRegionSnapshot

    public RegionSubRegionSnapshot()
    Deprecated.

  - ### RegionSubRegionSnapshot

    public RegionSubRegionSnapshot(Region reg)
    Deprecated.

- ## Method Details

  - ### addSubRegion

    public boolean addSubRegion(RegionSubRegionSnapshot snap)
    Deprecated.
    add the snapshot of sub region
    Parameters:
      `snap` - snapshot of sub region
    Returns:
      true if operation is successful

  - ### getEntryCount

    public int getEntryCount()
    Deprecated.
    Returns:
      get entry count of region

  - ### setEntryCount

    public void setEntryCount(int entryCount)
    Deprecated.
    Parameters:
      `entryCount` - entry count of region

  - ### getName

    public String getName()
    Deprecated.
    Returns:
      name of region

  - ### setName

    public void setName(String name)
    Deprecated.
    Parameters:
      `name` - name of region

  - ### getSubRegionSnapshots

    public Set getSubRegionSnapshots()
    Deprecated.
    Returns:
      subRegionSnapshots of all the sub regions

  - ### setSubRegionSnapshots

    public void setSubRegionSnapshots(Set subRegionSnapshots)
    Deprecated.
    Parameters:
      `subRegionSnapshots` - subRegionSnapshots of all the sub regions

  - ### getParent

    public RegionSubRegionSnapshot getParent()
    Deprecated.
    Returns:
      snapshot of parent region

  - ### setParent

    public void setParent(RegionSubRegionSnapshot parent)
    Deprecated.
    Parameters:
      `parent` - snapshot of parent region

  - ### getFullPath

    public String getFullPath()
    Deprecated.
    Returns:
      full path of region

  - ### toData

    public void toData(DataOutput out) throws IOException
    Deprecated.
    Description copied from interface: `DataSerializable`
    Writes the state of this object as primitive data to the given `DataOutput`.

    Since 5.7 it is possible for any method call to the specified `DataOutput` to throw `GemFireRethrowable`. It should not be caught by user code. If it is it must be rethrown.

    Specified by:
      `toData` in interface `DataSerializable`
    Parameters:
      `out` - the `DataOutput` to write to
    Throws:
      `IOException` - A problem occurs while writing to `out`

  - ### fromData

    public void fromData(DataInput in) throws IOException, ClassNotFoundException
    Deprecated.
    Description copied from interface: `DataSerializable`
    Reads the state of this object as primitive data from the given `DataInput`.
    Specified by:
      `fromData` in interface `DataSerializable`
    Parameters:
      `in` - the `DataInput` to read from
    Throws:
      `IOException` - A problem occurs while reading from `in`
      `ClassNotFoundException` - A class could not be loaded while reading from `in`

  - ### toString

    public String toString()
    Deprecated.
    Overrides:
      `toString` in class `Object`